Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Default_Endpoint_Selector_Factory.h File Reference

`#include "ace/Service_Config.h"`
`#include "tao/Endpoint_Selector_Factory.h"`

Include dependency graph for Default_Endpoint_Selector_Factory.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Default_Endpoint_Selector_Factory
| Factory for initializing <Endpoint_Selection_State> and obtaining appropriate <Invocation_Endpoint_Selector>. More...

## Detailed Description

Id:
  Default_Endpoint_Selector_Factory.h,v 1.5 2003/10/28 18:29:13 bala Exp

Strategies for selecting profile/endpoint from an IOR for making an invocation.

Author:
  Marina Spivak <marina@cs.wustl.edu> , Frank Hunleth <fhunleth@cs.wustl.edu>